%{?nodejs_find_provides_and_requires}

%global commit 44fa9ddc6a1e55d8f0b3cec382291619b6ac33c3

%global enable_tests 1

Name:       nodejs-stylus
Version:    0.43.1
Release:    1%{?dist}
Summary:    Robust, expressive, and feature-rich CSS super-set for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/learnboost/stylus
Source0:    https://github.com/learnboost/stylus/archive/%{commit}/%{name}-%{version}.tar.gz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(css-parse)
BuildRequires:  npm(debug)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(mocha)
BuildRequires:  npm(sax)
BuildRequires:  npm(should)
%endif

%description
Stylus is a revolutionary new language, providing an efficient, dynamic,
and expressive way to generate CSS. It supports both indented syntax and
regular CSS style.

It has many features, including mixins, keyword arguments, variables,
interpolation, operators, conditionals, iteration, over 25 built-in functions,
optional compression and many more.


%prep
%setup -q -n stylus-%{commit}
%nodejs_fixdep sax '~0.5'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stylus
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/stylus
mkdir -p %{buildroot}%{nodejs_sitelib}/stylus/bin
install -p -D -m0755 bin/stylus \
    %{buildroot}%{nodejs_sitelib}/stylus/bin/stylus
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/stylus/bin/stylus \
    %{buildroot}%{_bindir}/stylus

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha test/ test/middleware/ \
    --require should --bail --reporter dot
%endif


%files
%doc History.md LICENSE Readme.md docs/ examples/
%{nodejs_sitelib}/stylus
%{_bindir}/stylus


%changelog
* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.43.1-1
- update to upstream release 0.43.1

* Sun Feb 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.42.2-1
- update to upstream release 0.42.2
- take Source0 from GitHub as the NPM tarball has some files stripped

* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.35.1-1
- update to upstream release 0.35.1
- restrict to compatible arches

* Fri Jun 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.32.1-2
- add docs/ directory from upstream git
- enable tests

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.32.1-1
- update to upstream release 0.32.1
- add custom man page for /usr/bin/stylus

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.32.0-1
- initial package
